    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------
    028     * DialScale.java
    029     * --------------
    030     * (C) Copyright 2006-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 03-Nov-2006 : Version 1 (DG);
    038     * 17-Oct-2007 : Made this an extension of the DialLayer interface (DG);
    039     *
    040     */
    041
    042    package org.jfree.chart.plot.dial;
    043
    044    /**
    045     * A dial scale is a specialised layer that has the ability to convert data
    046     * values into angles.
    047     *
    048     * @since 1.0.7
    049     */
    050    public interface DialScale extends DialLayer {
    051
    052        /**
    053         * Converts a data value to an angle (in degrees, using the same
    054         * specification as Java's Arc2D class).
    055         *
    056         * @param value  the data value.
    057         *
    058         * @return The angle in degrees.
    059         *
    060         * @see #angleToValue(double)
    061         */
    062        public double valueToAngle(double value);
    063
    064        /**
    065         * Converts an angle (in degrees) to a data value.
    066         *
    067         * @param angle  the angle (in degrees).
    068         *
    069         * @return The data value.
    070         *
    071         * @see #valueToAngle(double)
    072         */
    073        public double angleToValue(double angle);
    074
    075    }